Bug 463295 - "ERROR with rpm_check_debug vs depsolve" when using yum to upgrade
"ERROR with rpm_check_debug vs depsolve" when using yum to upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 16:40 EDT by ernieboy
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ernieboy 2008-09-22 16:40:09 EDT
Description of problem:

ERROR with rpm_check_debug vs depsolve:
iwl4965-firmware conflicts with kernel-2.6.26.3-29.fc9.x86_64
Please report this error in bugzilla

Occurred when updating system.
Comment 1 Bill Newcombe 2008-12-07 23:03:04 EST
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
NetworkManager-glib is needed by (installed) NetworkManager-1:0.7.0-0.6.7.svn3370.fc8.i386
NetworkManager-glib is needed by (installed) NetworkManager-1:0.7.0-0.6.7.svn3370.fc8.i386
kdegraphics-libs is needed by (installed) kdegraphics-extras-7:3.5.9-2.fc8.i386
kdegraphics-libs is needed by (installed) kdegraphics-extras-7:3.5.9-2.fc8.i386
Complete!
[root@localhost ~]# rpm -q NetworkManager-glib
NetworkManager-glib-0.7.0-0.11.svn4229.fc10.x86_64
NetworkManager-glib-0.7.0-0.11.svn4229.fc10.i386

I upgraded Fedora Core 8 to Fedora Core 10 on a Intel Quad Core PC x86_64.
The upgrade completed OK, but yum update will not complete.
Comment 2 Tim Lauridsen 2009-02-26 02:54:21 EST
It look like some old leftover installed packages are conflicting with some new one. This is a examples of why upgrading from one release to another using yum is not supported.

try removing the old packages manually.

#0:

rpm -e kernel-2.6.26.3-29.fc9.x86_64


#1:
rpm -e kdegraphics-extras-7:3.5.9-2.fc8.i386
rpm -e NetworkManager-glib NetworkManager
yum install kdegraphics-extras
yum install NetworkManager-glib NetworkManager
Comment 3 James Antill 2009-03-06 14:15:17 EST
We have recently fixed a bug in conflicts handling that is triggered when the kernel is updated ... so the latest yum should solve this problem (3.2.21-12 and later). If not can you attach the full output of "yum -d 9 update".
Comment 4 Christopher Beland 2009-04-22 15:17:05 EDT
It looks like the latest version for Fedora 9 and 10 is yum-3.2.21-2, which is lower than where the fix is reported to be.  Were there going to be backports of a later version for testing, or should this bug be presumed fixed and set to CLOSED/RAWHIDE?
Comment 5 Bug Zapper 2009-06-09 22:47:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:19:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.